package com.bcxin.risk.enums;

/**
 * 推送方式
 */
public enum PushMethodEnum {

    PSS_TO_SB("PSS_TO_SB","PSS_TO_SB"),
    SB_TO_PSS("SB_TO_PSS","SB_TO_PSS");

    private String key;
    private String alias;

    PushMethodEnum(String key, String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey(){
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(PushMethodEnum e : PushMethodEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
